import { PromiseClient } from "@connectrpc/connect";
import { CancellationToken } from "./CancellationToken";
import { Document as DocumentInfo } from "./api/proto/exa/language_server_pb/language_server_pb";
import * as monaco from "monaco-editor/esm/vs/editor/editor.api";
import { LanguageServerService } from "./api/proto/exa/language_server_pb/language_server_connect";
import { Status } from "./Status";
export declare class MonacoCompletionProvider {
    readonly setStatus: (status: Status) => void;
    readonly setMessage: (message: string) => void;
    readonly apiKey?: string | undefined;
    private client;
    private sessionId;
    otherDocuments: DocumentInfo[];
    constructor(grpcClient: PromiseClient<typeof LanguageServerService>, setStatus: (status: Status) => void, setMessage: (message: string) => void, apiKey?: string | undefined);
    private getAuthHeader;
    private getMetadata;
    provideInlineCompletions(model: monaco.editor.ITextModel, monacoPosition: monaco.Position, token: CancellationToken): Promise<monaco.languages.InlineCompletions<monaco.languages.InlineCompletion> | undefined>;
    acceptedLastCompletion(completionId: string): void;
    private getDocumentInfo;
    private createInlineCompletionItem;
}
