import type * as monaco from "monaco-editor/esm/vs/editor/editor.api";
import { Position, Range } from "./Location";
import { Line } from "./Line";
export declare class Document {
    private model;
    readonly uri: monaco.Uri;
    readonly languageId: string;
    constructor(model: monaco.editor.ITextModel);
    get lineCount(): number;
    lineAt(positionOrLine: Position | number): Line;
    offsetAt(position: Position): number;
    positionAt(offset: number): Position;
    getText(range?: Range): string;
}
