import * as monaco from "monaco-editor/esm/vs/editor/editor.api";
export declare class Position implements monaco.IPosition {
    readonly line: number;
    readonly character: number;
    readonly lineNumber: number;
    readonly column: number;
    constructor(line: number, character: number);
    static fromMonaco(position: monaco.Position): Position;
    static fromPosition(position: Position): Position;
}
export declare class Range implements monaco.IRange {
    readonly start: Position;
    readonly end: Position;
    readonly startLineNumber: number;
    readonly startColumn: number;
    readonly endLineNumber: number;
    readonly endColumn: number;
    constructor(start: Position, end: Position);
    static fromMonaco(range: monaco.IRange): Range;
    static fromRange(range: Range): Range;
}
export declare class LocationFactory {
    position(line: number, character: number): Position;
    range(start: Position, end: Position): Range;
}
