import type { BinaryReadOptions, FieldList, JsonReadOptions, JsonValue, PartialMessage, PlainMessage } from "@bufbuild/protobuf";
import { Message, proto3 } from "@bufbuild/protobuf";
export declare enum ExperimentKey {
    UNSPECIFIED = 0,
    JUPYTER_FORMAT = 77
}
export declare enum AuthSource {
    CODEIUM = 0
}
export declare enum EventType {
    UNSPECIFIED = 0,
    ENABLE_CODEIUM = 1,
    DISABLE_CODEIUM = 2,
    SHOW_PREVIOUS_COMPLETION = 3,
    SHOW_NEXT_COMPLETION = 4
}
export declare enum CompletionSource {
    UNSPECIFIED = 0,
    TYPING_AS_SUGGESTED = 1,
    CACHE = 2,
    NETWORK = 3
}
export declare enum Language {
    UNSPECIFIED = 0,
    C = 1,
    CLOJURE = 2,
    COFFEESCRIPT = 3,
    CPP = 4,
    CSHARP = 5,
    CSS = 6,
    CUDACPP = 7,
    DOCKERFILE = 8,
    GO = 9,
    GROOVY = 10,
    HANDLEBARS = 11,
    HASKELL = 12,
    HCL = 13,
    HTML = 14,
    INI = 15,
    JAVA = 16,
    JAVASCRIPT = 17,
    JSON = 18,
    JULIA = 19,
    KOTLIN = 20,
    LATEX = 21,
    LESS = 22,
    LUA = 23,
    MAKEFILE = 24,
    MARKDOWN = 25,
    OBJECTIVEC = 26,
    OBJECTIVECPP = 27,
    PERL = 28,
    PHP = 29,
    PLAINTEXT = 30,
    PROTOBUF = 31,
    PBTXT = 32,
    PYTHON = 33,
    R = 34,
    RUBY = 35,
    RUST = 36,
    SASS = 37,
    SCALA = 38,
    SCSS = 39,
    SHELL = 40,
    SQL = 41,
    STARLARK = 42,
    SWIFT = 43,
    TSX = 44,
    TYPESCRIPT = 45,
    VISUALBASIC = 46,
    VUE = 47,
    XML = 48,
    XSL = 49,
    YAML = 50,
    SVELTE = 51,
    TOML = 52,
    DART = 53,
    RST = 54,
    OCAML = 55,
    CMAKE = 56,
    PASCAL = 57,
    ELIXIR = 58,
    FSHARP = 59,
    LISP = 60,
    MATLAB = 61,
    POWERSHELL = 62,
    SOLIDITY = 63,
    ADA = 64,
    OCAML_INTERFACE = 65
}
export declare class Completion extends Message<Completion> {
    completionId: string;
    text: string;
    prefix: string;
    stop: string;
    score: number;
    tokens: bigint[];
    decodedTokens: string[];
    probabilities: number[];
    adjustedProbabilities: number[];
    generatedLength: bigint;
    constructor(data?: PartialMessage<Completion>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "exa.codeium_common_pb.Completion";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Completion;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Completion;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Completion;
    static equals(a: Completion | PlainMessage<Completion> | undefined, b: Completion | PlainMessage<Completion> | undefined): boolean;
}
export declare class Metadata extends Message<Metadata> {
    ideName: string;
    ideVersion: string;
    extensionName: string;
    extensionVersion: string;
    apiKey: string;
    locale: string;
    sessionId: string;
    requestId: bigint;
    userAgent: string;
    url: string;
    authSource: AuthSource;
    constructor(data?: PartialMessage<Metadata>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "exa.codeium_common_pb.Metadata";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Metadata;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Metadata;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Metadata;
    static equals(a: Metadata | PlainMessage<Metadata> | undefined, b: Metadata | PlainMessage<Metadata> | undefined): boolean;
}
export declare class EditorOptions extends Message<EditorOptions> {
    tabSize: bigint;
    insertSpaces: boolean;
    constructor(data?: PartialMessage<EditorOptions>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "exa.codeium_common_pb.EditorOptions";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): EditorOptions;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): EditorOptions;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): EditorOptions;
    static equals(a: EditorOptions | PlainMessage<EditorOptions> | undefined, b: EditorOptions | PlainMessage<EditorOptions> | undefined): boolean;
}
export declare class Event extends Message<Event> {
    eventType: EventType;
    eventJson: string;
    timestampUnixMs: bigint;
    constructor(data?: PartialMessage<Event>);
    static readonly runtime: typeof proto3;
    static readonly typeName = "exa.codeium_common_pb.Event";
    static readonly fields: FieldList;
    static fromBinary(bytes: Uint8Array, options?: Partial<BinaryReadOptions>): Event;
    static fromJson(jsonValue: JsonValue, options?: Partial<JsonReadOptions>): Event;
    static fromJsonString(jsonString: string, options?: Partial<JsonReadOptions>): Event;
    static equals(a: Event | PlainMessage<Event> | undefined, b: Event | PlainMessage<Event> | undefined): boolean;
}
